Summary: Plugins for multi channel settings manager
Name: xfce-mcs-plugins
Version: 4.2.4
Release: 1%{?dist}
License: GPL
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.4/src/xfce-mcs-plugins-4.2.4.tar.gz
Patch: xfce-mcs-plugins-4.2.0-rh.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xfce-mcs-manager >= %{version}
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.0.6
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4util-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: imake
BuildRequires: libXt-devel

%description
This package inlcudes a set of plugins for the multi channel
settings manager.

%prep
%setup -q
%patch -p1 -b .fedora

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README COPYING AUTHORS
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
%lang(he) %{_datadir}/xfce4/doc/he/*
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Wed Jun 20 2007 Christoph Wickert <fedora@christoph-wickert.de> - 4.2.4-1
- Update to 4.2.4
- disable-static instead of removing .a files
- Run gtk-update-icon-cache in %%post and %%postun

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-3.fc5
- Rebuild for fc5

* Tue Jan 31 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2.fc5
- Added imake and libXt-devel BuildRequires for modular xorg

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag
- Added doc/he files
- Removed 0 len TODO file

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2
- Add doc/fr directory

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.fc4
- lowercase Release 

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.FC4
- Removed unneeded la/a files

* Sat Mar 19 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-2
- remove explicit gtk2 req

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Capitalized first letter of Summary in devel section to quiet rpmlint

* Mon Jan 24 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Dec 08 2004 Than Ngo <than@redhat.com> 4.1.99.1-1
- update to 4.2 rc1

* Thu Sep 02 2004 Than Ngo <than@redhat.com> 4.0.6-2
- use find_lang macro
- cleanup specfile

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- remove some unneeded patch files, which are included in new upstream

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 20 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Fix bug in default icon theme selection, thanks to Olivier Fourdan <fourdan@xfce.org>
- Add support for icon theme, Change defaults for fedora, #119647, thanks to Olivier Fourdan <fourdan@xfce.org>

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4.0.3-1
- add libxfce4util-devel, libxfcegui4-devel in BuildRequires
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
